[Python-modules-commits] [pytest-catchlog] 09/12: DEP-8 tests: minor improvements of tests scripts
Daniel Stender
danstender-guest at moszumanska.debian.org
Fri Mar 18 11:01:18 UTC 2016
This is an automated email from the git hooks/post-receive script.
danstender-guest pushed a commit to branch master
in repository pytest-catchlog.
commit 61d0451bf150a410a625a5fedfaa14d95bc8e836
Author: Daniel Stender <stender at debian.org>
Date: Fri Mar 18 11:44:07 2016 +0100
DEP-8 tests: minor improvements of tests scripts
---
debian/changelog | 5 ++++-
debian/tests/python-pytest-catchlog | 5 +++--
debian/tests/python3-pytest-catchlog | 5 +++--
3 files changed, 10 insertions(+), 5 deletions(-)
diff --git a/debian/changelog b/debian/changelog
index 1800b29..3d49685 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,8 +8,11 @@ pytest-catchlog (1.2.2-1) UNRELEASED; urgency=medium
+ removed Testsuite field (obsolete).
* deb/copyright: updated.
* deb/rules: use Pandoc to convert README to plaintext.
+ * deb/test/python{,3}-pytest-catchlog:
+ + put set -e in script body
+ + use shell loop instead of pipes with xargs and env.
- -- Daniel Stender <stender at debian.org> Fri, 18 Mar 2016 11:14:08 +0100
+ -- Daniel Stender <stender at debian.org> Fri, 18 Mar 2016 11:44:23 +0100
pytest-catchlog (1.2.1-1) unstable; urgency=medium
diff --git a/debian/tests/python-pytest-catchlog b/debian/tests/python-pytest-catchlog
index 6cd9308..74c0253 100755
--- a/debian/tests/python-pytest-catchlog
+++ b/debian/tests/python-pytest-catchlog
@@ -1,2 +1,3 @@
-#!/bin/sh -e
-pyversions -i | tr ' ' '\n' | xargs -I {} env {} -Wd -m pytest -v -x
+#!/bin/sh
+set -e
+for py in $(pyversions -i); do echo "[*] testing $py:"; $py -Wd -m pytest -v -x 2>&1; done
diff --git a/debian/tests/python3-pytest-catchlog b/debian/tests/python3-pytest-catchlog
index b4271db..5346484 100755
--- a/debian/tests/python3-pytest-catchlog
+++ b/debian/tests/python3-pytest-catchlog
@@ -1,2 +1,3 @@
-#!/bin/sh -e
-py3versions -i | tr ' ' '\n' | xargs -I {} env {} -Wd -m pytest -v -x
+#!/bin/sh
+set -e
+for py in $(py3versions -i); do echo "[*] testing $py:"; $py -Wd -m pytest -v -x 2>&1; done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/pytest-catchlog.git
More information about the Python-modules-commits
mailing list